From d000142b596d92463473a28de59a4c9cf78ad771 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 13 Jul 2021 13:06:54 -0400
Subject: [PATCH v2] Improve installation instructions a bit

Reported-by: Daniel Westermann
Discussion: https://postgr.es/m/GV0P278MB04835AAEACF894617574EB6BD25A9@GV0P278MB0483.CHEP278.PROD.OUTLOOK.COM
---
 doc/src/sgml/installation.sgml | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 05b77ec8e6..005d84af3b 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -356,19 +356,17 @@ su - postgres
   <para>
    The <productname>PostgreSQL</productname> &version; sources can be obtained from the
    download section of our
-   website: <ulink url="https://www.postgresql.org/download/"></ulink>.  You
+   website: <ulink url="https://www.postgresql.org/ftp/source/"></ulink>.  You
    should get a file named <filename>postgresql-&version;.tar.gz</filename>
-   or <filename>postgresql-&version;.tar.bz2</filename>. After
-   you have obtained the file, unpack it:
+   or <filename>postgresql-&version;.tar.bz2</filename>.
+   (For the version currently in development, the file is named
+   <filename>postgresql-snapshot.tar.bz2</filename> and resides in
+   <ulink url="https://www.postgresql.org/ftp/snapshot/dev/"></ulink>;
+   but using the version control repository, below, is recommended.)
+   After you have obtained the file, unpack it:
 <screen>
-<userinput>gunzip postgresql-&version;.tar.gz</userinput>
-<userinput>tar xf postgresql-&version;.tar</userinput>
+<userinput>tar xfa postgresql-&version;.tar.gz</userinput>
 </screen>
-   (Use <command>bunzip2</command> instead of <command>gunzip</command> if
-   you have the <filename>.bz2</filename> file.  Also, note that most
-   modern versions of <command>tar</command> can unpack compressed archives
-   directly, so you don't really need the
-   separate <command>gunzip</command> or <command>bunzip2</command> step.)
    This will create a directory
    <filename>postgresql-&version;</filename> under the current directory
    with the <productname>PostgreSQL</productname> sources.
-- 
2.30.2

